package org.dromara.system.service.record;


import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.record.bo.RecordLeaveBo;
import org.dromara.system.domain.record.vo.RecordLeaveVo;

import java.util.Collection;
import java.util.List;

/**
 * 请假记录信息Service接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface IRecordLeaveService {

    /**
     * 查询请假记录信息
     */
    RecordLeaveVo queryById(Long id);

    /**
     * 查询请假记录信息列表
     */
    TableDataInfo<RecordLeaveVo> queryPageList(RecordLeaveBo bo, PageQuery pageQuery);

    /**
     * 查询请假记录信息列表
     */
    List<RecordLeaveVo> queryList(RecordLeaveBo bo);

    /**
     * 新增请假记录信息
     */
    Boolean insertByBo(RecordLeaveBo bo);

    /**
     * 修改请假记录信息
     */
    Boolean updateByBo(RecordLeaveBo bo);

    /**
     * 校验并批量删除请假记录信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
